    001    /* ===========================================================
    002     * JFreeChart : a free chart library for the Java(tm) platform
    003     * ===========================================================
    004     *
    005     * (C) Copyright 2000-2009, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jfreechart/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025     * in the United States and other countries.]
    026     *
    027     * -------------------------------
    028     * StatisticalCategoryDataset.java
    029     * -------------------------------
    030     * (C) Copyright 2002-2009, by Pascal Collet and Contributors.
    031     *
    032     * Original Author:  Pascal Collet;
    033     * Contributor(s):   David Gilbert (for Object Refinery Limited);
    034     *
    035     * Changes
    036     * -------
    037     * 21-Aug-2002 : Version 1, contributed by Pascal Collet (DG);
    038     * 07-Oct-2002 : Fixed errors reported by Checkstyle (DG);
    039     * 24-Oct-2002 : Amendments in line with changes to the CategoryDataset
    040     *               interface (DG);
    041     * ------------- JFREECHART 1.0.x ---------------------------------------------
    042     * 02-Feb-2007 : Removed author tags from all over JFreeChart sources (DG);
    043     *
    044     */
    045
    046    package org.jfree.data.statistics;
    047
    048    import org.jfree.data.category.CategoryDataset;
    049
    050    /**
    051     * A category dataset that defines a mean and standard deviation value for
    052     * each item.
    053     */
    054    public interface StatisticalCategoryDataset extends CategoryDataset {
    055
    056        /**
    057         * Returns the mean value for an item.
    058         *
    059         * @param row  the row index (zero-based).
    060         * @param column  the column index (zero-based).
    061         *
    062         * @return The mean value (possibly <code>null</code>).
    063         */
    064        public Number getMeanValue(int row, int column);
    065
    066        /**
    067         * Returns the mean value for an item.
    068         *
    069         * @param rowKey  the row key.
    070         * @param columnKey  the columnKey.
    071         *
    072         * @return The mean value (possibly <code>null</code>).
    073         */
    074        public Number getMeanValue(Comparable rowKey, Comparable columnKey);
    075
    076        /**
    077         * Returns the standard deviation value for an item.
    078         *
    079         * @param row  the row index (zero-based).
    080         * @param column  the column index (zero-based).
    081         *
    082         * @return The standard deviation (possibly <code>null</code>).
    083         */
    084        public Number getStdDevValue(int row, int column);
    085
    086        /**
    087         * Returns the standard deviation value for an item.
    088         *
    089         * @param rowKey  the row key.
    090         * @param columnKey  the columnKey.
    091         *
    092         * @return The standard deviation (possibly <code>null</code>).
    093         */
    094        public Number getStdDevValue(Comparable rowKey, Comparable columnKey);
    095
    096    }
    097